import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		
int n,m=0;
Scanner sc=new Scanner(System.in);
n=sc.nextInt();
m=sc.nextInt();
int druzeljubivost[]=new int[n];
int parovi[]=new int[2*m];
int sreca[]=new int[n];
for(int i=0;i<n;i++)
druzeljubivost[i]=sc.nextInt();

for(int i=0;i<2*m;i++) {
	parovi[i]=sc.nextInt();
}
for(int i=0;i<n;i++) {
	int brprijatelja=0;
	int brneprijatelja=0;
	for(int j=0;j<2*m-1;j++) {
		if(parovi[j]==i+1 || parovi[j+1]==i+1) {
			if(druzeljubivost[i]<0 || druzeljubivost[parovi[j+1]-1]<0 || druzeljubivost[parovi[j]-1]<0) {
				brneprijatelja++;
			}else if(druzeljubivost[i]>0) {
				brprijatelja++;
			}
		
		j++; 
		}
		
		
	}
	sreca[i]=druzeljubivost[i]*(brprijatelja-brneprijatelja);
}
int ukupnasreca=0;
for(int i=0;i<n;i++) {
	ukupnasreca+=sreca[i];
}
System.out.print(ukupnasreca);
sc.close();
	
}
}